Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class FlatFileOptionsFactory

    java.lang.Object
      com.servingxml.components.flatfile.options.FlatFileOptionsFactory

    public class FlatFileOptionsFactory

extends java.lang.Object

Constructor Summary
`FlatFileOptionsFactory()`

Method Summary
`FlatFileOptions` | `createFlatFileOptions(ServiceContext context, Flow flow, boolean delimitedFile, boolean countPositionsInBytes, java.nio.charset.Charset charset)`
`FlatFileOptions` | `createFlatFileOptions(ServiceContext context, Flow flow, FlatFileOptions defaults)`
`CommentStarter` | `getCommentStarter()`
`FieldDelimiterFactory[]` | `getFieldDelimiterFactories()`
`DelimiterFactory[]` | `getRecordDelimiterFactories()`
`DelimiterFactory[]` | `getSegmentDelimiterFactories()`
`boolean` | `hasRepeatDelimiters()`
`void` | `setAlignment(Alignment alignment)`
`void` | `setCommentStarter(CommentStarter commentStarter)`
`void` | `setCountPositionsInBytes(TrueFalseEnum countPositionsInBytesEnum)`
`void` | `setFieldDelimiterFactories(FieldDelimiterFactory[] fieldDelimiterFactories)`
`void` | `setFlushRecordOnWrite(TrueFalseEnum flushRecordOnWriteEnum)`
`void` | `setIgnoreEmptyLines(TrueFalseEnum ignoreEmptyLinesEnum)`
`void` | `setIgnoreTrailingEmptyLines(TrueFalseEnum ignoreTrailingEmptyLinesEnum)`
`void` | `setIndexBase(int indexBase)`
`void` | `setLineDelimited(TrueFalseEnum lineDelimitedEnum)`
`void` | `setNameDelimiterFactories(NameDelimiterFactory[] nameDelimiterFactories)`
`void` | `setOmitFinalFieldDelimiter(TrueFalseEnum omitFinalFieldDelimiterEnum)`
`void` | `setOmitFinalRepeatDelimiter(TrueFalseEnum omitFinalRepeatDelimiterEnum)`
`void` | `setPadCharacter(java.lang.String padCharacter)`
`void` | `setQuote(QuoteEnum quoteEnum)`
`void` | `setQuoteSymbol(QuoteSymbol quoteSymbol)`
`void` | `setRecordDelimiterFactories(DelimiterFactory[] recordDelimiterFactories)`
`void` | `setRepeatDelimiterFactories(DelimiterFactory[] repeatDelimiterFactories)`
`void` | `setSegmentDelimiterFactories(SegmentDelimiterFactory[] segmentDelimiterFactories)`
`void` | `setSubfieldDelimiterFactories(SubfieldDelimiterFactory[] subfieldDelimiterFactories)`
`void` | `setTrimLeading(TrueFalseEnum trimLeadingEnum)`
`void` | `setTrimLeadingWithinQuotes(TrueFalseEnum trimLeadingWithinQuotesEnum)`
`void` | `setTrimTrailing(TrueFalseEnum trimTrailingEnum)`
`void` | `setTrimTrailingWithinQuotes(TrueFalseEnum trimTrailingWithinQuotesEnum)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatFileOptionsFactory

    public FlatFileOptionsFactory()

Method Detail

### setIndexBase

    public void setIndexBase(int indexBase)

### hasRepeatDelimiters

    public boolean hasRepeatDelimiters()

### setRecordDelimiterFactories

    public void setRecordDelimiterFactories(DelimiterFactory[] recordDelimiterFactories)

### setCommentStarter

    public void setCommentStarter(CommentStarter commentStarter)

### getCommentStarter

    public CommentStarter getCommentStarter()

### getRecordDelimiterFactories

    public DelimiterFactory[] getRecordDelimiterFactories()

### getFieldDelimiterFactories

    public FieldDelimiterFactory[] getFieldDelimiterFactories()

### getSegmentDelimiterFactories

    public DelimiterFactory[] getSegmentDelimiterFactories()

### setSegmentDelimiterFactories

    public void setSegmentDelimiterFactories(SegmentDelimiterFactory[] segmentDelimiterFactories)

### setFieldDelimiterFactories

    public void setFieldDelimiterFactories(FieldDelimiterFactory[] fieldDelimiterFactories)

### setNameDelimiterFactories

    public void setNameDelimiterFactories(NameDelimiterFactory[] nameDelimiterFactories)

### setRepeatDelimiterFactories

    public void setRepeatDelimiterFactories(DelimiterFactory[] repeatDelimiterFactories)

### setSubfieldDelimiterFactories

    public void setSubfieldDelimiterFactories(SubfieldDelimiterFactory[] subfieldDelimiterFactories)

### setQuoteSymbol

    public void setQuoteSymbol(QuoteSymbol quoteSymbol)

### setQuote

    public void setQuote(QuoteEnum quoteEnum)

### setAlignment

    public void setAlignment(Alignment alignment)

### setPadCharacter

    public void setPadCharacter(java.lang.String padCharacter)

### setOmitFinalFieldDelimiter

    public void setOmitFinalFieldDelimiter(TrueFalseEnum omitFinalFieldDelimiterEnum)

### setOmitFinalRepeatDelimiter

    public void setOmitFinalRepeatDelimiter(TrueFalseEnum omitFinalRepeatDelimiterEnum)

### setIgnoreTrailingEmptyLines

    public void setIgnoreTrailingEmptyLines(TrueFalseEnum ignoreTrailingEmptyLinesEnum)

### setIgnoreEmptyLines

    public void setIgnoreEmptyLines(TrueFalseEnum ignoreEmptyLinesEnum)

### setLineDelimited

    public void setLineDelimited(TrueFalseEnum lineDelimitedEnum)

### setCountPositionsInBytes

    public void setCountPositionsInBytes(TrueFalseEnum countPositionsInBytesEnum)

### setFlushRecordOnWrite

    public void setFlushRecordOnWrite(TrueFalseEnum flushRecordOnWriteEnum)

### setTrimLeading

    public void setTrimLeading(TrueFalseEnum trimLeadingEnum)

### setTrimTrailing

    public void setTrimTrailing(TrueFalseEnum trimTrailingEnum)

### setTrimLeadingWithinQuotes

    public void setTrimLeadingWithinQuotes(TrueFalseEnum trimLeadingWithinQuotesEnum)

### setTrimTrailingWithinQuotes

    public void setTrimTrailingWithinQuotes(TrueFalseEnum trimTrailingWithinQuotesEnum)

### createFlatFileOptions

    public FlatFileOptions createFlatFileOptions(ServiceContext context,
                                                 Flow flow,
                                                 FlatFileOptions defaults)

### createFlatFileOptions

    public FlatFileOptions createFlatFileOptions(ServiceContext context,
                                                 Flow flow,
                                                 boolean delimitedFile,
                                                 boolean countPositionsInBytes,
                                                 java.nio.charset.Charset charset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD